// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Blueprint/UserWidget.h"
#include "PC_Display.generated.h"

USTRUCT(BlueprintType)
struct FPC_Display_Info
{
	GENERATED_BODY()

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	bool IsGameOver;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	FString MB_Title;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	UTexture2D* MB_Icon;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	FString MB_Desc;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	int MB_Reward;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	FString SB_1_Title;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	UTexture2D* SB_1_Icon;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	FString SB_1_Desc;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	int SB_1_Reward;
};

UCLASS()
class ENDLESSVENDETTA_API UPC_Display : public UUserWidget
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintImplementableEvent, Category = "PC_Display")
	void LoadOS();

	UPROPERTY(BlueprintReadOnly)
	FPC_Display_Info PC_Display_Info;
	//bool IsGameOver, FString& MB_Title, UTexture2D* MB_Icon, FString& MB_Desc, int MB_Reward
};

